/**
 * \file
 * \author Matthias Riedl
 * \brief covers the functionality of an untyped FB
 * \verbatim
 * $id
 * \endverbatim
 */

#ifndef __FB_H
#define __FB_H

//com

//std

// own

class fb
{
  // no copy or assignment operations
  fb(const fb& obj);
  fb& operator=(const fb& obj);
public:
	/** \name Construct/Destructor */
	//! \{
  	/**
   	 * Constructor
	 */
	fb();
	/**
	 * Destructor
	 */
	virtual ~fb();
	//! \}

	/**
	 * Perfoms the algorithm of the function block
	 */
	virtual void 	en();	
};

#endif  //__FB_H
